> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Uploads assets with specified path to the storage.

> Path validation rules:
- The path must be no longer then 1024 characters
- Max segments count is 256
- Must be valid DNS name
- Can not contain two separators '/' in a row.
- Max file name length is 256 characters



## OpenAPI

````yaml openapi/store-v3.json POST /v3/Assets/{path}
openapi: 3.0.4
info:
  title: StoreApi - V3
  version: v3
servers:
  - url: https://{host}/store
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - oauth2: []
paths:
  /v3/Assets/{path}:
    post:
      tags:
        - Service2Service
      summary: Uploads assets with specified path to the storage.
      description: |-
        Path validation rules:
        - The path must be no longer then 1024 characters
        - Max segments count is 256
        - Must be valid DNS name
        - Can not contain two separators '/' in a row.
        - Max file name length is 256 characters
      parameters:
        - name: path
          in: path
          description: Path to file in the storage.
          required: true
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  description: File name
                  format: binary
            encoding:
              file:
                style: form
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadAssetDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebServiceError'
components:
  schemas:
    UploadAssetDto:
      required:
        - id
      type: object
      properties:
        id:
          minLength: 1
          type: string
      additionalProperties: false
    WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: apiKey
      name: Authorization
      in: header

````